Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.ontology
Interface OntologyFactory

    public interface OntologyFactory

A factory for Ontology instances.

Author:
  Matthew Pocock

Method Summary
`Ontology` | `createOntology(String name, String description)` Creates a new Ontology

Method Detail

### createOntology

    Ontology createOntology(String name,
                            String description)
                            throws OntologyException

  Creates a new Ontology

  Parameters:
    `name` - the name to give the ontology
    `description` - the description for the ontology
  Returns:
    an Ontology
  Throws:
    `NullPointerException` - if either name or description are null
    `OntologyException` - if the ontology could not be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD